aboutsummaryrefslogtreecommitdiff
path: root/libraries/efl/efl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/efl/efl.SlackBuild')
-rw-r--r--libraries/efl/efl.SlackBuild47
1 files changed, 27 insertions, 20 deletions
diff --git a/libraries/efl/efl.SlackBuild b/libraries/efl/efl.SlackBuild
index f9abd58c6901b..356c593ad0f3e 100644
--- a/libraries/efl/efl.SlackBuild
+++ b/libraries/efl/efl.SlackBuild
@@ -1,27 +1,28 @@
#!/bin/sh
-# Copyright 2018 Erik Falor <ewfalor@gmail.com>, Logan, Utah, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Slackware build script for efl
+# Erik Falor | Logan, UT | ewfalor@gmail.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
PRGNAM=efl
-VERSION=${VERSION:-1.20.7}
+VERSION=${VERSION:-1.21.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -52,6 +53,12 @@ else
LIBDIRSUFFIX=""
fi
+if [ -e /usr/bin/elementary_run ]; then
+ echo "A previous installation of efl has been detected."
+ echo "Please uninstall it before running this script."
+ exit 1
+fi
+
DOCS="ABOUT-NLS AUTHORS COMPLIANCE COPYING ChangeLog NEWS README"
set -e